package com.mortals.xhx.module.yth.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:YthWarrntset
* date: 2021-9-7 10:49:11
*/
public class YthWarrntsetQuery extends YthWarrntsetEntity{
    private static final long serialVersionUID = 1630982951560L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 事项id */
    private Long matteridStart;

    /** 结束 事项id */
    private Long matteridEnd;

    /** 增加 事项id */
    private Long matteridIncrement;

    /** 事项id */
    private List <Long> matteridList;


    /** 名称 */
    private List<String> lawNameList;

    /** 开始 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章 */
    private Integer lawTypeStart;

    /** 结束 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章 */
    private Integer lawTypeEnd;

    /** 增加 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章 */
    private Integer lawTypeIncrement;

    /** 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章 */
    private List <Integer> lawTypeList;

    /** 文号 */
    private List<String> referenceNumList;

    /** 条款 */
    private List<String> clauseList;

    /** 内容 */
    private List<String> clauseContentList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序 */
    private List <Integer> sortList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户 */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<YthWarrntsetQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<YthWarrntsetQuery> andConditionList;


    public YthWarrntsetQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 事项id
    * @return matteridStart
    */
    public Long getMatteridStart(){
    return this.matteridStart;
    }

    /**
    * 设置 开始 事项id
    * @param matteridStart
    */
    public void setMatteridStart(Long matteridStart){
    this.matteridStart = matteridStart;
    }

    /**
    * 获取 结束 事项id
    * @return matteridEnd
    */
    public Long getMatteridEnd(){
    return this.matteridEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matteridEnd
    */
    public void setMatteridEnd(Long matteridEnd){
    this.matteridEnd = matteridEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matteridIncrement
    */
    public Long getMatteridIncrement(){
    return this.matteridIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matteridIncrement
    */
    public void setMatteridIncrement(Long matteridIncrement){
    this.matteridIncrement = matteridIncrement;
    }

    /**
    * 获取 事项id
    * @return matteridList
    */
    public List<Long> getMatteridList(){
    return this.matteridList;
    }

    /**
    * 设置 事项id
    * @param matteridList
    */
    public void setMatteridList(List<Long> matteridList){
        this.matteridList = matteridList;
        }
    /**
    * 获取 名称
    * @return lawNameList
    */
    public List<String> getLawNameList(){
        return this.lawNameList;
    }

    /**
    * 设置 名称
    * @param lawNameList
    */
    public void setLawNameList(List<String> lawNameList){
        this.lawNameList = lawNameList;
    }
    /**
    * 获取 开始 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @return lawTypeStart
    */
    public Integer getLawTypeStart(){
        return this.lawTypeStart;
    }

    /**
    * 设置 开始 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawTypeStart
    */
    public void setLawTypeStart(Integer lawTypeStart){
        this.lawTypeStart = lawTypeStart;
    }

    /**
    * 获取 结束 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @return lawTypeEnd
    */
    public Integer getLawTypeEnd(){
        return this.lawTypeEnd;
    }

    /**
    * 设置 结束 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawTypeEnd
    */
    public void setLawTypeEnd(Integer lawTypeEnd){
        this.lawTypeEnd = lawTypeEnd;
    }

    /**
    * 获取 增加 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @return lawTypeIncrement
    */
    public Integer getLawTypeIncrement(){
        return this.lawTypeIncrement;
    }

    /**
    * 设置 增加 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawTypeIncrement
    */
    public void setLawTypeIncrement(Integer lawTypeIncrement){
        this.lawTypeIncrement = lawTypeIncrement;
    }

    /**
    * 获取 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @return lawTypeList
    */
    public List<Integer> getLawTypeList(){
        return this.lawTypeList;
    }

    /**
    * 设置 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawTypeList
    */
    public void setLawTypeList(List<Integer> lawTypeList){
        this.lawTypeList = lawTypeList;
    }
    /**
    * 获取 文号
    * @return referenceNumList
    */
    public List<String> getReferenceNumList(){
        return this.referenceNumList;
    }

    /**
    * 设置 文号
    * @param referenceNumList
    */
    public void setReferenceNumList(List<String> referenceNumList){
        this.referenceNumList = referenceNumList;
    }
    /**
    * 获取 条款
    * @return clauseList
    */
    public List<String> getClauseList(){
        return this.clauseList;
    }

    /**
    * 设置 条款
    * @param clauseList
    */
    public void setClauseList(List<String> clauseList){
        this.clauseList = clauseList;
    }
    /**
    * 获取 内容
    * @return clauseContentList
    */
    public List<String> getClauseContentList(){
        return this.clauseContentList;
    }

    /**
    * 设置 内容
    * @param clauseContentList
    */
    public void setClauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
    }
    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public YthWarrntsetQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public YthWarrntsetQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public YthWarrntsetQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public YthWarrntsetQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public YthWarrntsetQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  事项id
    * @param matterid
    */
    public YthWarrntsetQuery matterid(Long matterid){
	    setMatterid(matterid);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matteridStart
    */
    public YthWarrntsetQuery matteridStart(Long matteridStart){
		this.matteridStart = matteridStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matteridEnd
    */
    public YthWarrntsetQuery matteridEnd(Long matteridEnd){
		this.matteridEnd = matteridEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matteridIncrement
    */
    public YthWarrntsetQuery matteridIncrement(Long matteridIncrement){
		this.matteridIncrement = matteridIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matteridList
    */
    public YthWarrntsetQuery matteridList(List<Long> matteridList){
        this.matteridList = matteridList;
		return this;
        }
	/**
    * 设置 名称
    * @param lawName
    */
    public YthWarrntsetQuery lawName(String lawName){
        setLawName(lawName);
		return this;
    }


    /**
    * 设置 名称
    * @param lawNameList
    */
    public YthWarrntsetQuery lawNameList(List<String> lawNameList){
        this.lawNameList = lawNameList;
		return this;
    }
	
	/**
    * 设置  种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawType
    */
    public YthWarrntsetQuery lawType(Integer lawType){
        setLawType(lawType);
		return this;
    }

    /**
    * 设置 开始 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawTypeStart
    */
    public YthWarrntsetQuery lawTypeStart(Integer lawTypeStart){
        this.lawTypeStart = lawTypeStart;
		return this;
    }


    /**
    * 设置 结束 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawTypeEnd
    */
    public YthWarrntsetQuery lawTypeEnd(Integer lawTypeEnd){
        this.lawTypeEnd = lawTypeEnd;
		return this;
    }


    /**
    * 设置 增加 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawTypeIncrement
    */
    public YthWarrntsetQuery lawTypeIncrement(Integer lawTypeIncrement){
        this.lawTypeIncrement = lawTypeIncrement;
		return this;
    }


    /**
    * 设置 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawTypeList
    */
    public YthWarrntsetQuery lawTypeList(List<Integer> lawTypeList){
        this.lawTypeList = lawTypeList;
		return this;
    }
	/**
    * 设置 文号
    * @param referenceNum
    */
    public YthWarrntsetQuery referenceNum(String referenceNum){
        setReferenceNum(referenceNum);
		return this;
    }


    /**
    * 设置 文号
    * @param referenceNumList
    */
    public YthWarrntsetQuery referenceNumList(List<String> referenceNumList){
        this.referenceNumList = referenceNumList;
		return this;
    }
	/**
    * 设置 条款
    * @param clause
    */
    public YthWarrntsetQuery clause(String clause){
        setClause(clause);
		return this;
    }


    /**
    * 设置 条款
    * @param clauseList
    */
    public YthWarrntsetQuery clauseList(List<String> clauseList){
        this.clauseList = clauseList;
		return this;
    }
	/**
    * 设置 内容
    * @param clauseContent
    */
    public YthWarrntsetQuery clauseContent(String clauseContent){
        setClauseContent(clauseContent);
		return this;
    }


    /**
    * 设置 内容
    * @param clauseContentList
    */
    public YthWarrntsetQuery clauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
		return this;
    }
	
	/**
    * 设置  排序
    * @param sort
    */
    public YthWarrntsetQuery sort(Integer sort){
        setSort(sort);
		return this;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public YthWarrntsetQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
		return this;
    }


    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public YthWarrntsetQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
		return this;
    }


    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public YthWarrntsetQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
		return this;
    }


    /**
    * 设置 排序
    * @param sortList
    */
    public YthWarrntsetQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public YthWarrntsetQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public YthWarrntsetQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户
    * @param createUser
    */
    public YthWarrntsetQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户
    * @param createUserList
    */
    public YthWarrntsetQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<YthWarrntsetQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<YthWarrntsetQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<YthWarrntsetQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<YthWarrntsetQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}